Name:           ublue-os-luks
Vendor:         ublue-os
Version:        0.3
Release:        1%{?dist}
Summary:        ublue-os scripts for simplified LUKS usage
License:        Apache-2.0
URL:            https://github.com/ublue-os/packages
VCS:            git+https://github.com/ublue-os/packages#45f5e6bc46677d86f8412ca79edcfcce372d935c:packages/ublue-os-luks
Source:         packages-packages-ublue-os-luks-45f5e6bc.tar.gz

BuildArch:      noarch

%description
Adds scripts and dracut config to simplify LUKS autounlock

%prep
%setup -T -b 0 -q -n packages-packages-ublue-os-luks

%build

%install
install -Dm755 -t %{buildroot}%{_libexecdir}/ src/luks-disable-tpm2-autounlock
install -Dm755 -t %{buildroot}%{_libexecdir}/ src/luks-enable-tpm2-autounlock
install -Dm644 -t %{buildroot}%{_exec_prefix}/lib/dracut/dracut.conf.d src/90-ublue-luks.conf

%check

%files
%{_libexecdir}/luks-disable-tpm2-autounlock
%{_libexecdir}/luks-enable-tpm2-autounlock
%{_exec_prefix}/lib/dracut/dracut.conf.d/90-ublue-luks.conf

%changelog
* Thu Jul 04 2024 m2Giles <69128853+m2Giles@users.noreply.github.com> - 0.3
- Rewrite enable script to fail out if disk is not found
- LUKs disk is determined from kernel commandline instead of /etc/crypttab

* Sat Jun 29 2024 Benjamin Sherman <benjamin@holyarmy.org> - 0.2
- Add tpm, fido2, pkcs11 to dracut config enabling initramfs LUKS unlock options

* Tue Apr 30 2024 Benjamin Sherman <benjamin@holyarmy.org> - 0.1
- Add tpm2 autounlock enable/disable scripts
- Original source: https://github.com/bsherman/ublue-custom/
